Bug 209435 - CVE-2006-5174 copy_from_user information leak on s390
CVE-2006-5174 copy_from_user information leak on s390
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jan Glauber
Brian Brock
impact=important,source=vendorsec,rep...
: Security
Depends On:
Blocks: 213568
  Show dependency treegraph
 
Reported: 2006-10-05 08:23 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0014
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 09:28:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-10-05 08:23:57 EDT
Report from Martin Schwidefsky:

There is/has been a bug with copy_from_user on s390. The problem is that it does
not pad the kernel buffer with zeroes in case of a fault on the user address.
That allows a malicious user to read uninitialized kernel memory. The bug is
already fixed upstream:

http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=52149ba6b0ddf3e9d965257cc0513193650b3ea8
Comment 3 Jason Baron 2006-10-23 15:22:23 EDT
committed in stream U5 build 42.20. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 4 Jason Baron 2006-12-18 16:42:11 EST
committed in stream E5 build 42.0.4
Comment 6 Mike Gahagan 2007-01-17 14:53:05 EST
The correct fix is in 42.0.6. 
Comment 8 Red Hat Bugzilla 2007-01-30 09:28:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0014.html

Note You need to log in before you can comment on or make changes to this bug.